Name:           gsim85
Version:        0.3
Release:        6%{?dist}
Summary:        An 8085 microprocessor simulator

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://gsim85.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel
BuildRequires:  intltool

BuildRequires:  perl-XML-Parser
BuildRequires:  desktop-file-utils

Requires:       electronics-menu


%description
It is an 8085 simulator. It is having very user friendly graphical
user interface. It can be used to test 8085 programs before actualy
implementing them on target board.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} \
    gsim85docdir=%{_defaultdocdir}/%{name}-%{version} \
    INSTALL="install -p"
desktop-file-install                                    \
    --remove-category="IDE;Development;Engineering;"    \
    --add-category="Electronics;"                       \
    --dir=%{buildroot}%{_datadir}/applications          \
    %{buildroot}%{_datadir}/applications/%{name}.desktop
#%find_lang %{name}


%clean
rm -rf %{buildroot}


%files
#-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/gsim.png
%{_datadir}/pixmaps/%{name}/
%{_datadir}/applications/%{name}.desktop


%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.3-4
- Rebuild for new libpng

* Fri Aug 12 2011 Fabian Affolter <fabian@bernewireless.net> - 0.3.3
- Rebuild (libglade)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Aug 07 2009 Fabian Affolter <fabian@bernewireless.net> - 0.3-1
- Removed wrong end of line encoding fix
- Removed permission fix
- Removed patch0, replaced with desktop-file-install
- Updated to new upstream version 0.3

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 28 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2-5
- Fixed the place in the menu

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Feb 08 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2-3
- Fixed license tag, it's GPLv2+

* Tue Feb 04 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2-2
- Added patch for desktop file
- Removed duplicate BR
- Preserved time stamps

* Tue Feb 03 2009 Fabian Affolter <fabian@bernewireless.net> - 0.2-1
- Initial package for Fedora
